Subject: Re: New sparse warning in net/mac80211/debugfs_sta.c

From: Patrick McHardy <[email-masked]>
Date: Thu, 21 Feb 2008 19:00:03 +0100

Joe Perches wrote:
> On Thu, 2008-02-21 at 11:17 +0100, Johannes Berg wrote:
>   
>> Yeah, I saw that discussion. I think it's fine, it's just something we
>> need to be aware of. In fact, I Joe had a patch (that seems to have
>> gotten lost?) to make DECLARE_MAC_BUF() declare a structure with the u8
>> pointer in it instead to get type checking for the args, which would
>> make our code there not even compile, and imho rightfully so. I'll send
>> in a patch to fix this (via John) and Joe can resend his patch to get
>> typechecking there.
>>     
>
> This removes the __pure from print_mac, so reject as appropriate...
>
> Add some type safety to print_mac by using 
> struct print_mac_buf * instead of char *.

And adds back the overhead of two completely unnecessary
function calls to the VLAN fastpath. How about just
stopping this idiocy and reverting the appropriate patches
to bring back MAC_FMT and use it where appropriate?